Subject: bug#27959: closed (Re: bug#27959: 26.0.50; File renaming fails on sshfs)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Aug 2017 21:10:02 +0000

Your bug report

#27959: 26.0.50; File renaming fails on sshfs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27959: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27959
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27959: 26.0.50; File renaming fails on sshfs
From: Lars Ingebrigtsen <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Aug 2017 23:09:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Paul Eggert <[email-masked]> writes:

> Thanks, I hadn't seen that bug report. I think that I fixed that bug
> in commit ddc1ff58dec92a782b233d97a254fc41c1c887eb dated Thu Aug 3
> 16:18:45 2017 -0700, so please try pulling from master and rebuilding.

Ah, thanks; this does indeed seem to be fixed now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

Subject: 26.0.50; File renaming fails on sshfs
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Fri, 04 Aug 2017 23:38:14 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

/tv is mounted via sshfs.

(rename-file "/tv/a.foo" "/tv/b.foo")

Debugger entered--Lisp error: (file-error "Renaming" "Invalid argument" "/tv/a.foo" "/tv/b.foo")
  rename-file("/tv/a.foo" "/tv/b.foo")
  eval((rename-file "/tv/a.foo" "/tv/b.foo") nil)
  eval-expression((rename-file "/tv/a.foo" "/tv/b.foo") nil nil 127)
  funcall-interactively(eval-expression (rename-file "/tv/a.foo" "/tv/b.foo") nil nil 127)
  call-interactively(eval-expression nil nil)
  command-execute(eval-expression)

But if I say

larsi@amy:~$ mv /tv/a.foo /tv/b.foo

on the same machine, it works fine.  So ... where is the "Invalid
argument" coming from?

Renaming on non-sshfs file systems works fine in Emacs.

In GNU Emacs 26.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
 of 2017-08-02 built on amy
Repository revision: fe80d58ca4ead89e8887aa726482694888a8ef7f
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:	Ubuntu 17.04